#include <LedControl.h> 

LedControl Displej=LedControl(12,10,11,1);  
 
void setup()
{
  Displej.shutdown(0,false);// tohle zapne displej
  Displej.setIntensity(0,4);// nastavíme jas displeje na 4 (možné je 0-15)
  Displej.clearDisplay(0);// tahle funkce smaže displej
}
void loop()
{
  int radek, sloupec;
  radek = 6;

  int strelaR, strelaS; //souřadnice pro pohyb střely
  int zvukStrely; //promenná pro zvuk výstřelu
  //zde se čte hodnota potenciometru pro pohyb
  sloupec = analogRead(A7)/100;
  sloupec--;
  if (sloupec>6) sloupec=6;
  //nakreslíme koráb na souřadnice
  Displej.setLed(0, radek, sloupec+1, 1); 
  Displej.setLed(0, radek+1, sloupec, 1); 
  Displej.setLed(0, radek+1, sloupec+1, 1); 
  Displej.setLed(0, radek+1, sloupec+2, 1); 
//zde testujeme stisk tlačítka
  if (digitalRead(2)==1)
  {
    strelaS=sloupec+1; //číslo sloupce, kde je hlaveň
    strelaR=5; //začínáme odspodu
    zvukStrely=800; //nastavíme výšku zvuku střely
    do
    {
      Displej.setLed(0,strelaR, strelaS, 1);
      tone (3,zvukStrely,25);
      delay(50);
      Displej.setLed(0,strelaR, strelaS, 0);
      strelaR--;//pohyb střely
      zvukStrely=zvukStrely-50;//změna zvuku střely
    } while (strelaR>=0); //opakujeme, dokud střela nedosáhne vršku
  }
  delay (100);//chvili čekáme
  //a smažeme koráb, aby mohl vzniknout pohyb
  Displej.setLed(0, radek, sloupec+1, 0); 
  Displej.setLed(0, radek+1, sloupec, 0); 
  Displej.setLed(0, radek+1, sloupec+1, 0); 
  Displej.setLed(0, radek+1, sloupec+2, 0); 
}

